package runner

import "fmt"

type MSVSphere struct {
	Major uint64
	Minor uint64
}

func (r *MSVSphere) String() string {
	return fmt.Sprintf("org.osbuild.rhel%d%d", r.Major, r.Minor)
}

func (p *MSVSphere) GetBuildPackages() []string {
	packages := []string{
		"glibc", // ldconfig
	}
	if p.Major >= 8 {
		packages = append(packages,
			"systemd",         // systemd-tmpfiles and systemd-sysusers
			"platform-python", // osbuild
		)
	}

	if p.Major < 9 {
		packages = append(packages,
			"python36",
		)
	} else {
		packages = append(packages,
			"python3", // osbuild stages
		)
	}
	return packages
}
